CHECK-KERNEL.ECLASS(5)

NAME
check-kernel - check kernel sources

DESCRIPTION
The check-kernel eclass provides an easy interface for detecting kernel sources and retrieving various information.

VARIABLES
The following variables are exported by the check-kernel eclass:

KV_full
    Full kernel version (eg. 2.4.27-gentoo-r1)

KV_major
    Major kernel version (eg. 2)

KV_minor
    Minor kernel version (eg. 4)

KV_micro
    Micro kernel version (eg. 27)

FUNCTIONS

check_version_h
    Checks to make sure the /usr/src/linux symlink is correctly setup. If it is not, this function will print a huge error message and halt the emerge process.

get_KV_info
    Parses the kernel's version.h to fill in the ${KV_full}, ${KV_major}, ${KV_minor}, and ${KV_micro} variables.

NOTE: The following functions all return shell true/false.

is_2_4_kernel
    Checks for kernel version 2.4.

is_2_5_kernel
    Checks for kernel version 2.5.

is_2_6_kernel
    Checks for kernel version 2.6.

kernel_supports_modules
    Check to see if the kernel supports modules (CONFIG_MODULES).

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5)

FILES
/usr/portage/eclass/check-kernel.eclass

AUTHORS
Aaron Walker <ka0ttic@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/check-kernel.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $